[**Flutter ETS API Documentation v1.0.0**](../../../README.md)

***

# ~~Class: PlatformViewParas~~

Parameters for platform view layout.

## Deprecated

since 3.7

## Constructors

### Constructor

> **new PlatformViewParas**(): `PlatformViewParas`

#### Returns

`PlatformViewParas`

## Properties

### ~~direction~~

> **direction**: `Direction` = `Direction.Auto`

The layout direction for the platform view.

***

### ~~height~~

> **height**: `number` = `0.0`

The height of the platform view.

***

### ~~left~~

> **left**: `number` = `0.0`

The left position of the platform view.

***

### ~~top~~

> **top**: `number` = `0.0`

The top position of the platform view.

***

### ~~width~~

> **width**: `number` = `0.0`

The width of the platform view.

## Methods

### ~~setOffset()~~

> **setOffset**(`top`, `left`): `void`

Sets the offset position.

#### Parameters

##### top

`number`

The top offset

##### left

`number`

The left offset

#### Returns

`void`

***

### ~~setValue()~~

> **setValue**(`width`, `height`, `top`, `left`): `void`

Sets the layout values.

#### Parameters

##### width

`number`

The width

##### height

`number`

The height

##### top

`number`

The top position

##### left

`number`

The left position

#### Returns

`void`
